ghc-7.10.2: The GHC API

Safe Haskell | None
Language | Haskell2010

Vectorise.Builtins.Initialise

Contents

- Initialisation

Synopsis

- initBuiltins :: DsM Builtins
- initBuiltinVars :: Builtins -> DsM [(Var, Var)]

# Initialisation

initBuiltins :: DsM Builtins Source

Create the initial map of builtin types and functions.

initBuiltinVars :: Builtins -> DsM [(Var, Var)] Source

Get the mapping of names in the Prelude to names in the DPH library.